Mailboxes
Remove thread labels
Removes the given labels from the thread and returns where the thread stands. A label the thread does not carry is ignored.
Removes the given labels from the thread and returns where the thread stands. A label the thread does not carry is ignored.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$threadId*string
Match
^thread_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
labels*array<>
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/mailboxes/string/threads/string/labels" \ -H "Content-Type: application/json" \ -d '{ "labels": [ "string" ] }'{ "id": "string", "folder": "inbox", "priority": "low", "labels": [ "string" ], "read": true, "starred": true, "snoozedUntil": "string"}